org.apache.ignite.internal.processors.service

## Class GridServiceDeployment

- java.lang.Object
- - org.apache.ignite.internal.processors.service.GridServiceDeployment

All Implemented Interfaces:
  Serializable, GridCacheInternal

Deprecated.
Services internals use messages for deployment management instead of the utility cache, since Ignite 2.8.

    @Deprecated
    public class GridServiceDeployment
    extends Object
    implements GridCacheInternal, Serializable

Service deployment.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridServiceDeployment(UUID nodeId, ServiceConfiguration cfg)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`ServiceConfiguration` `configuration()` Deprecated.
`boolean` `equals(Object o)` Deprecated.
`int` `hashCode()` Deprecated.
`UUID` `nodeId()` Deprecated.
`String` `toString()` Deprecated.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridServiceDeployment

    public GridServiceDeployment(UUID nodeId,
                                 ServiceConfiguration cfg)

Deprecated.

Parameters:
  `nodeId` - Node ID.
  `cfg` - Service configuration.

### Method Detail

#### nodeId

    public UUID nodeId()

Deprecated.

Returns:
  Node ID.

#### configuration

    public ServiceConfiguration configuration()

Deprecated.

Returns:
  Service configuration.

#### equals

    public boolean equals(Object o)

Deprecated.

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Deprecated.

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Deprecated.

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020